Bug 1268623 - weird printer installed
weird printer installed
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2015-10-03 17:46 EDT by Richard Jasmin
Modified: 2015-10-30 03:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-10-20 05:57:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot of print dialog (145.10 KB, image/png)
2015-10-16 11:58 EDT, Richard Jasmin
no flags Details

  None (edit)
Description Richard Jasmin 2015-10-03 17:46:36 EDT
Description of problem:
I somehow upon installing fedora 22(non-free respin) have wound up with a no-name printer that is refusing print jobs.It was there before I used the HP setup utility.I dont know how it got there or how to remove it.

Version-Release number of selected component (if applicable):

How reproducible:
post installation

Steps to Reproduce:
1.install fedora

Additional info:
using hp utility bundled with hplip. note that discovery of wifi printers not always works, sometimes you must hard specify the ip directly from the printer to get it to catch.
Comment 1 Tim Waugh 2015-10-05 08:50:24 EDT
I'm unclear on exactly what you installed. Could you please clarify?

The "steps to reproduce" are not sufficient to reproduce the problem.

What does 'lpstat -t' say?
Comment 2 Richard Jasmin 2015-10-16 11:58 EDT
Created attachment 1083751 [details]
screenshot of print dialog
Comment 3 Richard Jasmin 2015-10-16 11:59:53 EDT
scheduler is running
no system default destination
device for Officejet_4620: hp:/net/Officejet_4620_series?ip=
device for Officejet_4620_fax: hpfax:/net/Officejet_4620_series?ip=
Officejet_4620 accepting requests since Thu 15 Oct 2015 12:04:10 AM CDT
Officejet_4620_fax accepting requests since Wed 09 Sep 2015 10:24:30 PM CDT
printer Officejet_4620 is idle.  enabled since Thu 15 Oct 2015 12:04:10 AM CDT
	ready to print
printer Officejet_4620_fax is idle.  enabled since Wed 09 Sep 2015 10:24:30 PM CDT

HPLIP and HPLIP -ui is the only printer installed, yet clearly there is another somehow.

Comment 4 Tim Waugh 2015-10-20 05:57:54 EDT
I see. This isn't actually installed locally, but is provided directly by the device over DNS-SD.
Comment 5 Richard Jasmin 2015-10-20 18:18:19 EDT
When nothing is installed? Its not like HPLIP to add this one.
Comment 6 Tim Waugh 2015-10-21 09:14:50 EDT
It isn't HPLIP. The GTK+ print dialog (like other CUPS clients) performs a DNS-SD query to find printers.

The printer itself responds to this directly.
Comment 7 Richard Jasmin 2015-10-30 03:53:15 EDT
well, hp isnt working that way or something. And that does not surprise me.I guess I can ignore it.

Note You need to log in before you can comment on or make changes to this bug.